#!/bin/bash

# execute all commands to install UPG.1
SETTINGSDIR=/opt/settings
SYSDIR=${SETTINGSDIR}/sys
VER=1
VERFILE=${SYSDIR}/ver
VERONEFILE=${VERFILE}.$VER
VERFILETXT=${SYSDIR}/UPG-ver.txt
LOGF=/opt/log/upgrade.log

EDIR=/opt/DL/UPG.$VER
FDIR=${EDIR}/files
LBINDIR=/usr/local/bin

echo >> $LOGF
echo "Starting Upgrade - Ver.0 to Ver.1" >> $LOGF

# 1) copy over the new service files
	echo "Copying over new service definition files" >> $LOGF
	DESTDIR=/lib/systemd/system
	sudo cp ${FDIR}/*.service $DESTDIR

# 2) move in the new scripts to /usr/local/bin
	echo "Copying over /usr/local/bin fixes" >> $LOGF
	cp ${FDIR}/postboot.rshake $LBINDIR
	cp ${FDIR}/rsh-data-consumer.start.sh $LBINDIR
	cp ${FDIR}/rsh-sw-update.sh $LBINDIR

# 3) move in the new ows.conf.tpl file
	echo "Copying over ows.conf.tpl file" >> $LOGF
	cp ${FDIR}/ows.conf.tpl ${SETTINGSDIR}/dataC/tpl
	rm -f /opt/DL/SWARM/SWARM.zip 1>/dev/null 2>&1

# 4) disable wireless services for the moment
	echo "Disabling AP Mode" >> $LOGF
	export LC_ALL=C
	sudo systemctl stop hostapd.service 2>/dev/null 
	sudo systemctl disable hostapd.service 2>/dev/null

# 5) set some permissions
	echo "Setting some permissions" >> $LOGF
	sudo chown myshake:myshake $VERFILETXT
	
# 6) update the version #
	rm ${SYSDIR}/ver.*
	touch $VERONEFILE
	echo $VER >$VERFILETXT
	
	echo "Upgrade Complete" >> $LOGF
